OrcProto.Footer (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Class OrcProto.Footer

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - org.apache.orc.OrcProto.Footer

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, OrcProto.FooterOrBuilder
  Enclosing class:
    OrcProto

      public static final class OrcProto.Footer
      extends com.google.protobuf.GeneratedMessage
      implements OrcProto.FooterOrBuilder

  Protobuf type `orc.proto.Footer`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OrcProto.Footer.Builder` Protobuf type `orc.proto.Footer`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CONTENTLENGTH_FIELD_NUMBER`
    `static int` | `HEADERLENGTH_FIELD_NUMBER`
    `static int` | `METADATA_FIELD_NUMBER`
    `static int` | `NUMBEROFROWS_FIELD_NUMBER`
    `static com.google.protobuf.Parser<OrcProto.Footer>` | `PARSER`
    `static int` | `ROWINDEXSTRIDE_FIELD_NUMBER`
    `static int` | `STATISTICS_FIELD_NUMBER`
    `static int` | `STRIPES_FIELD_NUMBER`
    `static int` | `TYPES_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getContentLength()` `optional uint64 contentLength = 2;`
    `static OrcProto.Footer` | `getDefaultInstance()`
    `OrcProto.Footer` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `long` | `getHeaderLength()` `optional uint64 headerLength = 1;`
    `OrcProto.UserMetadataItem` | `getMetadata(int index)` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `int` | `getMetadataCount()` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `List<OrcProto.UserMetadataItem>` | `getMetadataList()` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `OrcProto.UserMetadataItemOrBuilder` | `getMetadataOrBuilder(int index)` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `List<? extends OrcProto.UserMetadataItemOrBuilder>` | `getMetadataOrBuilderList()` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `long` | `getNumberOfRows()` `optional uint64 numberOfRows = 6;`
    `com.google.protobuf.Parser<OrcProto.Footer>` | `getParserForType()`
    `int` | `getRowIndexStride()` `optional uint32 rowIndexStride = 8;`
    `int` | `getSerializedSize()`
    `OrcProto.ColumnStatistics` | `getStatistics(int index)` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `int` | `getStatisticsCount()` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `List<OrcProto.ColumnStatistics>` | `getStatisticsList()` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `OrcProto.ColumnStatisticsOrBuilder` | `getStatisticsOrBuilder(int index)` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `List<? extends OrcProto.ColumnStatisticsOrBuilder>` | `getStatisticsOrBuilderList()` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `OrcProto.StripeInformation` | `getStripes(int index)` `repeated .orc.proto.StripeInformation stripes = 3;`
    `int` | `getStripesCount()` `repeated .orc.proto.StripeInformation stripes = 3;`
    `List<OrcProto.StripeInformation>` | `getStripesList()` `repeated .orc.proto.StripeInformation stripes = 3;`
    `OrcProto.StripeInformationOrBuilder` | `getStripesOrBuilder(int index)` `repeated .orc.proto.StripeInformation stripes = 3;`
    `List<? extends OrcProto.StripeInformationOrBuilder>` | `getStripesOrBuilderList()` `repeated .orc.proto.StripeInformation stripes = 3;`
    `OrcProto.Type` | `getTypes(int index)` `repeated .orc.proto.Type types = 4;`
    `int` | `getTypesCount()` `repeated .orc.proto.Type types = 4;`
    `List<OrcProto.Type>` | `getTypesList()` `repeated .orc.proto.Type types = 4;`
    `OrcProto.TypeOrBuilder` | `getTypesOrBuilder(int index)` `repeated .orc.proto.Type types = 4;`
    `List<? extends OrcProto.TypeOrBuilder>` | `getTypesOrBuilderList()` `repeated .orc.proto.Type types = 4;`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `boolean` | `hasContentLength()` `optional uint64 contentLength = 2;`
    `boolean` | `hasHeaderLength()` `optional uint64 headerLength = 1;`
    `boolean` | `hasNumberOfRows()` `optional uint64 numberOfRows = 6;`
    `boolean` | `hasRowIndexStride()` `optional uint32 rowIndexStride = 8;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static OrcProto.Footer.Builder` | `newBuilder()`
    `static OrcProto.Footer.Builder` | `newBuilder(OrcProto.Footer prototype)`
    `OrcProto.Footer.Builder` | `newBuilderForType()`
    `protected OrcProto.Footer.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
    `static OrcProto.Footer` | `parseDelimitedFrom(InputStream input)`
    `static OrcProto.Footer` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static OrcProto.Footer` | `parseFrom(byte[] data)`
    `static OrcProto.Footer` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static OrcProto.Footer` | `parseFrom(com.google.protobuf.ByteString data)`
    `static OrcProto.Footer` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static OrcProto.Footer` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static OrcProto.Footer` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static OrcProto.Footer` | `parseFrom(InputStream input)`
    `static OrcProto.Footer` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `OrcProto.Footer.Builder` | `toBuilder()`
    `protected Object` | `writeReplace()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### PARSER

          public static com.google.protobuf.Parser<OrcProto.Footer> PARSER

    - #### HEADERLENGTH_FIELD_NUMBER

          public static final int HEADERLENGTH_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### CONTENTLENGTH_FIELD_NUMBER

          public static final int CONTENTLENGTH_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### STRIPES_FIELD_NUMBER

          public static final int STRIPES_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### TYPES_FIELD_NUMBER

          public static final int TYPES_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### METADATA_FIELD_NUMBER

          public static final int METADATA_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### NUMBEROFROWS_FIELD_NUMBER

          public static final int NUMBEROFROWS_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### STATISTICS_FIELD_NUMBER

          public static final int STATISTICS_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ROWINDEXSTRIDE_FIELD_NUMBER

          public static final int ROWINDEXSTRIDE_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultInstance

          public static OrcProto.Footer getDefaultInstance()

    - #### getDefaultInstanceForType

          public OrcProto.Footer getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getParserForType

          public com.google.protobuf.Parser<OrcProto.Footer> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### hasHeaderLength

          public boolean hasHeaderLength()

      `optional uint64 headerLength = 1;`
      Specified by:
        `hasHeaderLength` in interface `OrcProto.FooterOrBuilder`

    - #### getHeaderLength

          public long getHeaderLength()

      `optional uint64 headerLength = 1;`
      Specified by:
        `getHeaderLength` in interface `OrcProto.FooterOrBuilder`

    - #### hasContentLength

          public boolean hasContentLength()

      `optional uint64 contentLength = 2;`
      Specified by:
        `hasContentLength` in interface `OrcProto.FooterOrBuilder`

    - #### getContentLength

          public long getContentLength()

      `optional uint64 contentLength = 2;`
      Specified by:
        `getContentLength` in interface `OrcProto.FooterOrBuilder`

    - #### getStripesList

          public List<OrcProto.StripeInformation> getStripesList()

      `repeated .orc.proto.StripeInformation stripes = 3;`
      Specified by:
        `getStripesList` in interface `OrcProto.FooterOrBuilder`

    - #### getStripesOrBuilderList

          public List<? extends OrcProto.StripeInformationOrBuilder> getStripesOrBuilderList()

      `repeated .orc.proto.StripeInformation stripes = 3;`
      Specified by:
        `getStripesOrBuilderList` in interface `OrcProto.FooterOrBuilder`

    - #### getStripesCount

          public int getStripesCount()

      `repeated .orc.proto.StripeInformation stripes = 3;`
      Specified by:
        `getStripesCount` in interface `OrcProto.FooterOrBuilder`

    - #### getStripes

          public OrcProto.StripeInformation getStripes(int index)

      `repeated .orc.proto.StripeInformation stripes = 3;`
      Specified by:
        `getStripes` in interface `OrcProto.FooterOrBuilder`

    - #### getStripesOrBuilder

          public OrcProto.StripeInformationOrBuilder getStripesOrBuilder(int index)

      `repeated .orc.proto.StripeInformation stripes = 3;`
      Specified by:
        `getStripesOrBuilder` in interface `OrcProto.FooterOrBuilder`

    - #### getTypesList

          public List<OrcProto.Type> getTypesList()

      `repeated .orc.proto.Type types = 4;`
      Specified by:
        `getTypesList` in interface `OrcProto.FooterOrBuilder`

    - #### getTypesOrBuilderList

          public List<? extends OrcProto.TypeOrBuilder> getTypesOrBuilderList()

      `repeated .orc.proto.Type types = 4;`
      Specified by:
        `getTypesOrBuilderList` in interface `OrcProto.FooterOrBuilder`

    - #### getTypesCount

          public int getTypesCount()

      `repeated .orc.proto.Type types = 4;`
      Specified by:
        `getTypesCount` in interface `OrcProto.FooterOrBuilder`

    - #### getTypes

          public OrcProto.Type getTypes(int index)

      `repeated .orc.proto.Type types = 4;`
      Specified by:
        `getTypes` in interface `OrcProto.FooterOrBuilder`

    - #### getTypesOrBuilder

          public OrcProto.TypeOrBuilder getTypesOrBuilder(int index)

      `repeated .orc.proto.Type types = 4;`
      Specified by:
        `getTypesOrBuilder` in interface `OrcProto.FooterOrBuilder`

    - #### getMetadataList

          public List<OrcProto.UserMetadataItem> getMetadataList()

      `repeated .orc.proto.UserMetadataItem metadata = 5;`
      Specified by:
        `getMetadataList` in interface `OrcProto.FooterOrBuilder`

    - #### getMetadataOrBuilderList

          public List<? extends OrcProto.UserMetadataItemOrBuilder> getMetadataOrBuilderList()

      `repeated .orc.proto.UserMetadataItem metadata = 5;`
      Specified by:
        `getMetadataOrBuilderList` in interface `OrcProto.FooterOrBuilder`

    - #### getMetadataCount

          public int getMetadataCount()

      `repeated .orc.proto.UserMetadataItem metadata = 5;`
      Specified by:
        `getMetadataCount` in interface `OrcProto.FooterOrBuilder`

    - #### getMetadata

          public OrcProto.UserMetadataItem getMetadata(int index)

      `repeated .orc.proto.UserMetadataItem metadata = 5;`
      Specified by:
        `getMetadata` in interface `OrcProto.FooterOrBuilder`

    - #### getMetadataOrBuilder

          public OrcProto.UserMetadataItemOrBuilder getMetadataOrBuilder(int index)

      `repeated .orc.proto.UserMetadataItem metadata = 5;`
      Specified by:
        `getMetadataOrBuilder` in interface `OrcProto.FooterOrBuilder`

    - #### hasNumberOfRows

          public boolean hasNumberOfRows()

      `optional uint64 numberOfRows = 6;`
      Specified by:
        `hasNumberOfRows` in interface `OrcProto.FooterOrBuilder`

    - #### getNumberOfRows

          public long getNumberOfRows()

      `optional uint64 numberOfRows = 6;`
      Specified by:
        `getNumberOfRows` in interface `OrcProto.FooterOrBuilder`

    - #### getStatisticsList

          public List<OrcProto.ColumnStatistics> getStatisticsList()

      `repeated .orc.proto.ColumnStatistics statistics = 7;`
      Specified by:
        `getStatisticsList` in interface `OrcProto.FooterOrBuilder`

    - #### getStatisticsOrBuilderList

          public List<? extends OrcProto.ColumnStatisticsOrBuilder> getStatisticsOrBuilderList()

      `repeated .orc.proto.ColumnStatistics statistics = 7;`
      Specified by:
        `getStatisticsOrBuilderList` in interface `OrcProto.FooterOrBuilder`

    - #### getStatisticsCount

          public int getStatisticsCount()

      `repeated .orc.proto.ColumnStatistics statistics = 7;`
      Specified by:
        `getStatisticsCount` in interface `OrcProto.FooterOrBuilder`

    - #### getStatistics

          public OrcProto.ColumnStatistics getStatistics(int index)

      `repeated .orc.proto.ColumnStatistics statistics = 7;`
      Specified by:
        `getStatistics` in interface `OrcProto.FooterOrBuilder`

    - #### getStatisticsOrBuilder

          public OrcProto.ColumnStatisticsOrBuilder getStatisticsOrBuilder(int index)

      `repeated .orc.proto.ColumnStatistics statistics = 7;`
      Specified by:
        `getStatisticsOrBuilder` in interface `OrcProto.FooterOrBuilder`

    - #### hasRowIndexStride

          public boolean hasRowIndexStride()

      `optional uint32 rowIndexStride = 8;`
      Specified by:
        `hasRowIndexStride` in interface `OrcProto.FooterOrBuilder`

    - #### getRowIndexStride

          public int getRowIndexStride()

      `optional uint32 rowIndexStride = 8;`
      Specified by:
        `getRowIndexStride` in interface `OrcProto.FooterOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.AbstractMessage`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

    - #### writeReplace

          protected Object writeReplace()
                                 throws ObjectStreamException

      Overrides:
        `writeReplace` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `ObjectStreamException`

    - #### parseFrom

          public static OrcProto.Footer parseFrom(com.google.protobuf.ByteString data)
                                           throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static OrcProto.Footer parseFrom(com.google.protobuf.ByteString data,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                           throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static OrcProto.Footer parseFrom(byte[] data)
                                           throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static OrcProto.Footer parseFrom(byte[] data,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                           throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static OrcProto.Footer parseFrom(InputStream input)
                                           throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static OrcProto.Footer parseFrom(InputStream input,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                           throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static OrcProto.Footer parseDelimitedFrom(InputStream input)
                                                    throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static OrcProto.Footer parseDelimitedFrom(InputStream input,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static OrcProto.Footer parseFrom(com.google.protobuf.CodedInputStream input)
                                           throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static OrcProto.Footer parseFrom(com.google.protobuf.CodedInputStream input,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                           throws IOException

      Throws:
        `IOException`

    - #### newBuilder

          public static OrcProto.Footer.Builder newBuilder()

    - #### newBuilderForType

          public OrcProto.Footer.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static OrcProto.Footer.Builder newBuilder(OrcProto.Footer prototype)

    - #### toBuilder

          public OrcProto.Footer.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected OrcProto.Footer.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.